Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.bpm.web.client.model.event
Class SessionInvalidEvent

    java.lang.Object
      com.google.web.bindery.event.shared.Event<H>
          com.google.gwt.event.shared.GwtEvent<SessionInvalidEventHandler>
              com.tibco.bpm.web.client.model.event.SessionInvalidEvent

    public class SessionInvalidEvent

extends com.google.gwt.event.shared.GwtEvent<SessionInvalidEventHandler>

When a Session gets invalid this event will be fired

©2013 TIBCO Software Inc.

Since:
  2.2

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gwt.event.shared.GwtEvent
`com.google.gwt.event.shared.GwtEvent.Type<H>`

Field Summary
`static com.google.gwt.event.shared.GwtEvent.Type<SessionInvalidEventHandler>` | `TYPE`

Constructor Summary
`SessionInvalidEvent()`

Method Summary
`protected void` | `dispatch(SessionInvalidEventHandler handler)`
`com.google.gwt.event.shared.GwtEvent.Type<SessionInvalidEventHandler>` | `getAssociatedType()`

Methods inherited from class com.google.gwt.event.shared.GwtEvent
`assertLive, getSource, isLive, kill, revive`

Methods inherited from class com.google.web.bindery.event.shared.Event
`setSource, toDebugString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### TYPE

    public static com.google.gwt.event.shared.GwtEvent.Type<SessionInvalidEventHandler> TYPE

Constructor Detail

### SessionInvalidEvent

    public SessionInvalidEvent()

Method Detail

### getAssociatedType

    public com.google.gwt.event.shared.GwtEvent.Type<SessionInvalidEventHandler> getAssociatedType()

  Overrides:
    `getAssociatedType` in class `com.google.gwt.event.shared.GwtEvent<SessionInvalidEventHandler>`

### dispatch

    protected void dispatch(SessionInvalidEventHandler handler)

  Specified by:
    `dispatch` in class `com.google.gwt.event.shared.GwtEvent<SessionInvalidEventHandler>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015 TIBCO Software Inc. All Rights Reserved.